Skip to content

淘宝 & 天猫 API - 店铺商品列表 (V3)

prod-global
GET
/api/taobao/get-shop-item-list/v3

获取淘宝/天猫店铺下的分页商品列表,包括基本商品元数据 (例如商品ID、标题、价格、可用时的图片)和上架状态。

典型用例:

  • 监控店铺商品品类和新上架/下架商品
  • 构建店铺级目录和定时采集管道
  • 竞争对手店铺跟踪和电商分析

要点

  • 适用于此接口支持的所有店铺。

请求参数

参数名位置类型必填说明
tokenquerystring此 API 服务的访问令牌。
userIdquerystring店铺标识符。也称为卖家ID或用户ID(它们指向相同的值)。
shopIdquerystring淘宝/天猫上的唯一店铺标识符(店铺ID)。
sortquerystring结果集的排序方式。

可用值:
- coefp:综合排序
- hotsell:热销/销量
- oldstarts:新品/旧品
- bid:价格:从低到高
- _bid:价格:从高到低
pagequeryinteger用于分页的页码。

代码示例

💡 环境说明

默认示例使用 https://api.justoneapi.com (prod-global)。中国大陆地区建议替换为 http://47.117.133.51:30015 (prod-cn) 以获得更好的访问体验。详见 环境选择

bash
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
curl -X GET "https://api.justoneapi.com/api/taobao/get-shop-item-list/v3?token=YOUR_API_KEY&userId=VALUE&shopId=VALUE"
text
我想使用 Just One API 提供的“店铺商品列表 (V3)”接口。
接口地址: https://api.justoneapi.com/api/taobao/get-shop-item-list/v3
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/taobao-tmall-apis/shop-product-list-v3-zh.json

请求参数说明:
- token (query): 此 API 服务的访问令牌。 (必填)
- userId (query): 店铺标识符。也称为卖家ID或用户ID(它们指向相同的值)。 (必填)
- shopId (query): 淘宝/天猫上的唯一店铺标识符(店铺ID)。 (必填)
- sort (query): 结果集的排序方式。

可用值:
- `coefp`:综合排序
- `hotsell`:热销/销量
- `oldstarts`:新品/旧品
- `bid`:价格:从低到高
- `_bid`:价格:从高到低
- page (query): 用于分页的页码。

返回格式: JSON

响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败,请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 余额不足

请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。
python
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import requests

url = "https://api.justoneapi.com/api/taobao/get-shop-item-list/v3?token=YOUR_API_KEY&userId=VALUE&shopId=VALUE"
response = requests.get(url)
print(response.json())
js
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
const response = await fetch("https://api.justoneapi.com/api/taobao/get-shop-item-list/v3?token=YOUR_API_KEY&userId=VALUE&shopId=VALUE", {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.justoneapi.com/api/taobao/get-shop-item-list/v3?token=YOUR_API_KEY&userId=VALUE&shopId=VALUE"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	url := "https://api.justoneapi.com/api/taobao/get-shop-item-list/v3?token=YOUR_API_KEY&userId=VALUE&shopId=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/taobao/get-shop-item-list/v3?token=YOUR_API_KEY&userId=VALUE&shopId=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

响应结果

json
{
  "code": 0,
  "data": {
    "result": {
      "currentSort": "coefp",
      "totalResults": 2305,
      "pageSize": 10,
      "shopTitle": "优衣库官方旗舰店",
      "shopId": 57303596,
      "currentPage": 1,
      "itemsArray": [
        {
          "isChannelBybt": false,
          "umpPromoPrice": {
            "adsPoints": null,
            "originalPrice": "999.00",
            "channelKey": null,
            "price": "999.00",
            "display": "优惠后",
            "newBenefit": null,
            "skuId": 6084192078392
          },
          "isJoinBrand": true,
          "discntType": "活动价",
          "spatialThumbPic": null,
          "itemTitle": "优衣库莫雷加德同款男装女装高级保暖羽绒大衣外套冰雪羽绒481200",
          "spZkType": "活动价",
          "recommendDesc": "",
          "liveData": null,
          "atmosphereList": [],
          "imageUrlList": "",
          "isPresell": false,
          "itemImages": [
            "i1/196993935/O1CN01lS3CDD1ewHdP4CQr7_!!4611686018427380623-0-item_pic.jpg"
          ],
          "isJHS": true,
          "showTitleStructure": "{\"interest\":\"优衣库男装女装高级保暖羽绒大衣\"}",
          "icQuantity": "200",
          "spatialVideoDimension": "",
          "spUvsum": "500+",
          "pictUrlWap": null,
          "spatialVideoUrl": "",
          "auctionExt": "femaleclothe_upright_image_structure:1 upright_imageurl:i1/196993935/O1CN01jxulex1ewHdOqlbZw_!!46116...",
          "isJoinSameItem": false,
          "categoryp": "50011167 30 0",
          "isPostFree": false,
          "mainPicVideoDetail": [],
          "spUvsumSuc": "500+",
          "whiteBgImage": "i1/196993935/O1CN01OAf7co1ewHcQkUs10_!!4611686018427380623-2-item_pic.png",
          "auctionTag": "587 907 1163 1478 1483 2049 2059 2123 3394 3851 3974 4166 4491 4550 4555 6401 6603 7046 7174 9478 11...",
          "auction_id": "970865704078",
          "pictUrl": "i1/196993935/O1CN01lS3CDD1ewHdP4CQr7_!!4611686018427380623-0-item_pic.jpg",
          "discntPrice": "999.00",
          "preSellPrice": null,
          "userId": "196993935",
          "tmcTags": "100047031 47109 47302 47048 100047260 100047101 47213 100047302 100047109 47031 100047213 47260 4710...",
          "icSubTitle": "初上市价格1299元",
          "videoPic": "",
          "promoMBasePrice": "999.00",
          "showTitle": "优衣库男装女装高级保暖羽绒大衣",
          "auctionStatus": 1,
          "feedbackCount": "1000+",
          "tradeData": [
            {
              "feature": {},
              "sceneCode": "REAL_SALES_365",
              "text": "已售1万+",
              "subjectId": 970865704078
            }
          ],
          "isMall": "1",
          "category": "50011167",
          "h5ResistDetail": false
        }
      ]
    },
    "logs": []
  }
}

💡 提示:为简化展示,列表类数据样例仅保留 1-2 条记录,实际返回条数以接口响应为准。